<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/context https://www.springframework.org/schema/context/spring-context.xsd">

    <context:property-placeholder location="classpath:app.properties"/>

    <bean id="worker" class="edu.chnu.javaforweb.xmlconfig.Worker">
        <constructor-arg ref="primeNumberPrinter"/>
    </bean>

    <bean id="loggerService" class="edu.chnu.javaforweb.xmlconfig.logger.LoggerServiceImpl" init-method="init" destroy-method="destroy">
        <property name="loggerPrefix" value="${logger.prefix}"/>
    </bean>

    <bean id="primeNumberPrinter" class="edu.chnu.javaforweb.xmlconfig.printer.PrimeNumberPrinterImpl">
        <property name="logger" ref="loggerService"/>
    </bean>
</beans>